> ## Documentation Index
> Fetch the complete documentation index at: https://docs.orkeia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Detallar Agente

> Devuelve información detallada de un agente específico.

## Endpoint

`GET https://gateway.orkeia.ai/agents/{id}`

## Cabeçalhos

```
authorization:  <tu_token>
Content-Type: application/json
```

### Parámetros de camino

Envía el id del agente como query parameter.

```json theme={null}
{
  "id": "ID del agente (obligatorio)"
}
```

### Ejemplo (cURL)

```bash theme={null}
curl -X GET "https://gateway.orkeia.ai/agents/agent123" \
  -H "authorization:  <tu_token>"
```

## Respuestas

### Response - Éxito

```json response theme={null}
{
  "status": "OK",
  "data": { 
	"Agent": {
  "name": "Nombre del agente",
  "enabled": "true",
  "model": "sabia-3",
  "auto": "false",
 "reasoning": "false",
  "publisher": "ork-123",
  "temperature": "1",
  "role": "creador de contenido",
  "objective": "tiene como objetivo realizar tal tarea",
  "referencias": "texto de referencia",
  "can.delegate": "false",
  "can_code": "false",
  "multimodal": "false",
  "sectors": ["market"],
  "tools": ["web_scrapper"],
  "knowledgeBases": ["market_base"]
	},
}
```

### 500 — Solicitud Incorrecta

```json theme={null}
{
  "status": "ERROR",
  "code": "server/error",
  "data": null
}
```

### 400 — Error del Cliente

```json theme={null}
{
  "status": "ERROR",
  "code": "client/error",
  "data": null
}
```

### Respuesta

```json theme={null}
{
  "id": "agent123",
  "name": "Agente IA",
  "enabled": true
}
```
